/* SPDX-License-Identifier: GPL-2.0-only */
/*
 * Copyright 2020 NXP
 */

#ifndef DT_BINDING_RESET_IMX8MP_H
#define DT_BINDING_RESET_IMX8MP_H

#define IMX8MP_RESET_A53_CORE_POR_RESET0	0
#define IMX8MP_RESET_A53_CORE_POR_RESET1	1
#define IMX8MP_RESET_A53_CORE_POR_RESET2	2
#define IMX8MP_RESET_A53_CORE_POR_RESET3	3
#define IMX8MP_RESET_A53_CORE_RESET0		4
#define IMX8MP_RESET_A53_CORE_RESET1		5
#define IMX8MP_RESET_A53_CORE_RESET2		6
#define IMX8MP_RESET_A53_CORE_RESET3		7
#define IMX8MP_RESET_A53_DBG_RESET0		8
#define IMX8MP_RESET_A53_DBG_RESET1		9
#define IMX8MP_RESET_A53_DBG_RESET2		10
#define IMX8MP_RESET_A53_DBG_RESET3		11
#define IMX8MP_RESET_A53_ETM_RESET0		12
#define IMX8MP_RESET_A53_ETM_RESET1		13
#define IMX8MP_RESET_A53_ETM_RESET2		14
#define IMX8MP_RESET_A53_ETM_RESET3		15
#define IMX8MP_RESET_A53_SOC_DBG_RESET		16
#define IMX8MP_RESET_A53_L2RESET		17
#define IMX8MP_RESET_SW_NON_SCLR_M7C_RST	18
#define IMX8MP_RESET_OTG1_PHY_RESET		19
#define IMX8MP_RESET_OTG2_PHY_RESET		20
#define IMX8MP_RESET_SUPERMIX_RESET		21
#define IMX8MP_RESET_AUDIOMIX_RESET		22
#define IMX8MP_RESET_MLMIX_RESET		23
#define IMX8MP_RESET_PCIEPHY			24
#define IMX8MP_RESET_PCIEPHY_PERST		25
#define IMX8MP_RESET_PCIE_CTRL_APPS_EN		26
#define IMX8MP_RESET_PCIE_CTRL_APPS_TURNOFF	27
#define IMX8MP_RESET_HDMI_PHY_APB_RESET		28
#define IMX8MP_RESET_MEDIA_RESET		29
#define IMX8MP_RESET_GPU2D_RESET		30
#define IMX8MP_RESET_GPU3D_RESET		31
#define IMX8MP_RESET_GPU_RESET			32
#define IMX8MP_RESET_VPU_RESET			33
#define IMX8MP_RESET_VPU_G1_RESET		34
#define IMX8MP_RESET_VPU_G2_RESET		35
#define IMX8MP_RESET_VPUVC8KE_RESET		36
#define IMX8MP_RESET_NOC_RESET			37

#define IMX8MP_RESET_NUM			38

#define IMX8MP_AUDIO_BLK_CTRL_EARC_RESET	0
#define IMX8MP_AUDIO_BLK_CTRL_EARC_PHY_RESET	1

#define IMX8MP_AUDIO_BLK_CTRL_RESET_NUM		2

#define IMX8MP_MEDIA_BLK_CTRL_RESET_MIPI_DSI_PCLK	0
#define IMX8MP_MEDIA_BLK_CTRL_RESET_MIPI_DSI_CLKREF	1
#define IMX8MP_MEDIA_BLK_CTRL_RESET_MIPI_CSI_PCLK	2
#define IMX8MP_MEDIA_BLK_CTRL_RESET_MIPI_CSI_ACLK	3
#define IMX8MP_MEDIA_BLK_CTRL_RESET_LCDIF_PIXEL		4
#define IMX8MP_MEDIA_BLK_CTRL_RESET_LCDIF_APB		5
#define IMX8MP_MEDIA_BLK_CTRL_RESET_ISI_PROC		6
#define IMX8MP_MEDIA_BLK_CTRL_RESET_ISI_APB		7
#define IMX8MP_MEDIA_BLK_CTRL_RESET_BUS_BLK		8
#define IMX8MP_MEDIA_BLK_CTRL_RESET_MIPI_CSI2_PCLK	9
#define IMX8MP_MEDIA_BLK_CTRL_RESET_MIPI_CSI2_ACLK	10
#define IMX8MP_MEDIA_BLK_CTRL_RESET_LCDIF2_PIXEL	11
#define IMX8MP_MEDIA_BLK_CTRL_RESET_LCDIF2_APB		12
#define IMX8MP_MEDIA_BLK_CTRL_RESET_ISP1_COR		13
#define IMX8MP_MEDIA_BLK_CTRL_RESET_ISP1_AXI		14
#define IMX8MP_MEDIA_BLK_CTRL_RESET_ISP1_AHB		15
#define IMX8MP_MEDIA_BLK_CTRL_RESET_ISP0_COR		16
#define IMX8MP_MEDIA_BLK_CTRL_RESET_ISP0_AXI		17
#define IMX8MP_MEDIA_BLK_CTRL_RESET_ISP0_AHB		18
#define IMX8MP_MEDIA_BLK_CTRL_RESET_DWE_COR		19
#define IMX8MP_MEDIA_BLK_CTRL_RESET_DWE_AXI		20
#define IMX8MP_MEDIA_BLK_CTRL_RESET_DWE_AHB		21
#define IMX8MP_MEDIA_BLK_CTRL_RESET_MIPI_DSI2		22
#define IMX8MP_MEDIA_BLK_CTRL_RESET_LCDIF_AXI		23
#define IMX8MP_MEDIA_BLK_CTRL_RESET_LCDIF2_AXI		24

#define IMX8MP_MEDIA_BLK_CTRL_RESET_NUM			25

#define IMX8MP_HDMI_BLK_CTRL_HDMI_TX_RESET		0
#define IMX8MP_HDMI_BLK_CTRL_HDMI_PHY_RESET		1
#define IMX8MP_HDMI_BLK_CTRL_HDMI_PAI_RESET		2
#define IMX8MP_HDMI_BLK_CTRL_HDMI_PVI_RESET		3
#define IMX8MP_HDMI_BLK_CTRL_HDMI_TRNG_RESET		4
#define IMX8MP_HDMI_BLK_CTRL_IRQ_STEER_RESET		5
#define IMX8MP_HDMI_BLK_CTRL_HDMI_HDCP_RESET		6
#define IMX8MP_HDMI_BLK_CTRL_LCDIF_RESET		7

#define IMX8MP_HDMI_BLK_CTRL_RESET_NUM			8


#endif
